Selecteer een pagina

Since MySQL 5.6 AutoMysqlBackup comes back every day with an error mail containing the lines “Warning: Using a password on the command line interface can be insecure.”

Since there is no update of AutoMysqlBackup yet I decided to give it a quick fix myself.

On line 115 there is a line that says

removeIO

Add this after removeIO:

 # Remove annoying warning message since MySQL 5.6
 if [[ -s "$log_errfile" ]]; then
 sedtmpfile="/tmp/$(basename $0).$$.tmp"
 grep -v "Warning: Using a password on the command line interface can be insecure." "$log_errfile" > $sedtmpfile
 mv $sedtmpfile $log_errfile
 fi

And you will receive no more daily emails regarding that it is unsafe to use passwords on the command line.

%d bloggers liken dit: